TokenFilter.DeleteCharacters (Apache Ant API)
Keywords: org.apache.tools.ant.filters.TokenFilter.DeleteCharacters,TokenFilter.DeleteCharacters class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class TokenFilter.DeleteCharacters

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.filters.TokenFilter.DeleteCharacters

All Implemented Interfaces:
  ChainableReader, TokenFilter.Filter

Enclosing class:
  TokenFilter

public static class TokenFilter.DeleteCharacters
extends ProjectComponent
implements TokenFilter.Filter, ChainableReader

Filter to delete characters

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TokenFilter.DeleteCharacters()`

Method Summary
`java.io.Reader` | `chain(java.io.Reader reader)` factory method to provide a reader that removes the characters from a reader as part of a filter chain
`java.lang.String` | `filter(java.lang.String string)` remove characters from a string
`void` | `setChars(java.lang.String deleteChars)` Set the list of characters to delete

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenFilter.DeleteCharacters

    public TokenFilter.DeleteCharacters()

Method Detail

### setChars

    public void setChars(java.lang.String deleteChars)

  Set the list of characters to delete

  Parameters:
    `deleteChars` - the list of characters

### filter

    public java.lang.String filter(java.lang.String string)

  remove characters from a string

  Specified by:
    `filter` in interface `TokenFilter.Filter`
  Parameters:
    `string` - the string to remove the characters from
  Returns:
    the converted string

### chain

    public java.io.Reader chain(java.io.Reader reader)

  factory method to provide a reader that removes the characters from a reader as part of a filter chain

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `reader` - the reader object
  Returns:
    the chained reader object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.